diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -3633,139 +3634,139 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E(that looks lik)108 84 Q(e:)-.1 E([1] 25647)144 100.8 Q .241(indi\
 cating that this job is job number 1 and that the process ID of the las\
-t process in the pipeline associated)108 117.6 R .732
-(with this job is 25647.)108 129.6 R .733
+t process in the pipeline associated)108 117.6 R .733
+(with this job is 25647.)108 129.6 R .732
 (All of the processes in a single pipeline are members of the same job)
-5.732 F(.)-.4 E/F1 10/Times-Bold@0 SF(Bash)5.733 E F0(uses)3.233 E(the)
+5.733 F(.)-.4 E/F1 10/Times-Bold@0 SF(Bash)5.732 E F0(uses)3.232 E(the)
 108 141.6 Q/F2 10/Times-Italic@0 SF(job)4.24 E F0
-(abstraction as the basis for job control.)2.73 E 3.063 -.8(To f)108
-158.4 T 1.463(acilitate the implementation of the user interf).7 F 1.462
-(ace to job control, the operating system maintains the)-.1 F .87
-(notion of a)108 170.4 R F2(curr)3.37 E .87(ent terminal pr)-.37 F .871
-(ocess gr)-.45 F .871(oup ID)-.45 F F0 5.871(.M)C .871
+(abstraction as the basis for job control.)2.73 E 3.062 -.8(To f)108
+158.4 T 1.462(acilitate the implementation of the user interf).7 F 1.463
+(ace to job control, the operating system maintains the)-.1 F .871
+(notion of a)108 170.4 R F2(curr)3.371 E .871(ent terminal pr)-.37 F
+.871(ocess gr)-.45 F .871(oup ID)-.45 F F0 5.871(.M)C .87
 (embers of this process group \(processes whose process)-5.871 F .023
 (group ID is equal to the current terminal process group ID\) recei)108
 182.4 R .323 -.15(ve k)-.25 H -.15(ey).05 G .023
-(board-generated signals such as).15 F/F3 9/Times-Bold@0 SF(SIG-)2.522 E
-(INT)108 194.4 Q/F4 9/Times-Roman@0 SF(.)A F0 1.346
-(These processes are said to be in the)5.846 F F2(for)3.847 E -.4(eg)
--.37 G -.45(ro).4 G(und).45 E F0(.).77 E F2(Bac)6.927 E(kgr)-.2 E(ound)
--.45 E F0 1.347(processes are those whose process)4.617 F .146
-(group ID dif)108 206.4 R .146(fers from the terminal')-.25 F .146
-(s; such processes are immune to k)-.55 F -.15(ey)-.1 G .145
-(board-generated signals.).15 F .145(Only fore-)5.145 F .041
+(board-generated signals such as).15 F/F3 9/Times-Bold@0 SF(SIG-)2.523 E
+(INT)108 194.4 Q/F4 9/Times-Roman@0 SF(.)A F0 1.347
+(These processes are said to be in the)5.847 F F2(for)3.846 E -.4(eg)
+-.37 G -.45(ro).4 G(und).45 E F0(.).77 E F2(Bac)6.926 E(kgr)-.2 E(ound)
+-.45 E F0 1.346(processes are those whose process)4.616 F .145
+(group ID dif)108 206.4 R .145(fers from the terminal')-.25 F .146
+(s; such processes are immune to k)-.55 F -.15(ey)-.1 G .146
+(board-generated signals.).15 F .146(Only fore-)5.146 F .042
 (ground processes are allo)108 218.4 R .042
 (wed to read from or write to the terminal.)-.25 F .042
-(Background processes which attempt to)5.042 F 1.64
-(read from \(write to\) the terminal are sent a)108 230.4 R F3 1.639
-(SIGTTIN \(SIGTT)4.14 F(OU\))-.162 E F0 1.639
-(signal by the terminal dri)3.889 F -.15(ve)-.25 G 2.439 -.4(r, w).15 H
-(hich,).4 E(unless caught, suspends the process.)108 242.4 Q 1.087
-(If the operating system on which)108 259.2 R F1(bash)3.587 E F0 1.088
-(is running supports job control,)3.588 F F1(bash)3.588 E F0 1.088
-(contains f)3.588 F 1.088(acilities to use it.)-.1 F -.8(Ty)108 271.2 S
-.302(ping the).8 F F2(suspend)3.142 E F0 .302(character \(typically)
-3.572 F F1(^Z)2.801 E F0 2.801(,C)C .301
+(Background processes which attempt to)5.042 F 1.639
+(read from \(write to\) the terminal are sent a)108 230.4 R F3 1.64
+(SIGTTIN \(SIGTT)4.14 F(OU\))-.162 E F0 1.64(signal by the terminal dri)
+3.89 F -.15(ve)-.25 G 2.44 -.4(r, w).15 H(hich,).4 E
+(unless caught, suspends the process.)108 242.4 Q 1.088
+(If the operating system on which)108 259.2 R F1(bash)3.588 E F0 1.088
+(is running supports job control,)3.588 F F1(bash)3.587 E F0 1.087
+(contains f)3.587 F 1.087(acilities to use it.)-.1 F -.8(Ty)108 271.2 S
+.301(ping the).8 F F2(suspend)3.141 E F0 .301(character \(typically)
+3.571 F F1(^Z)2.801 E F0 2.801(,C)C .301
 (ontrol-Z\) while a process is running causes that process to be)-2.801
-F 2.142(stopped and returns control to)108 283.2 R F1(bash)4.642 E F0
+F 2.143(stopped and returns control to)108 283.2 R F1(bash)4.642 E F0
 7.142(.T)C 2.142(yping the)-7.942 F F2 2.142(delayed suspend)4.992 F F0
-2.143(character \(typically)5.413 F F1(^Y)4.643 E F0 4.643(,C)C
-(ontrol-Y\))-4.643 E .021(causes the process to be stopped when it atte\
+2.142(character \(typically)5.412 F F1(^Y)4.642 E F0 4.642(,C)C
+(ontrol-Y\))-4.642 E .021(causes the process to be stopped when it atte\
 mpts to read input from the terminal, and control to be returned)108
 295.2 R(to)108 307.2 Q F1(bash)3.392 E F0 5.892(.T)C .892
 (he user may then manipulate the state of this job, using the)-5.892 F
-F1(bg)3.392 E F0 .892(command to continue it in the)3.392 F .895
-(background, the)108 319.2 R F1(fg)3.395 E F0 .895
-(command to continue it in the fore)3.395 F .895(ground, or the)-.15 F
-F1(kill)3.395 E F0 .894(command to kill it.)3.395 F(A)5.894 E F1(^Z)
-3.394 E F0(tak)3.394 E(es)-.1 E(ef)108 331.2 Q .948(fect immediately)
--.25 F 3.448(,a)-.65 G .948(nd has the additional side ef)-3.448 F .948
+F1(bg)3.392 E F0 .892(command to continue it in the)3.392 F .894
+(background, the)108 319.2 R F1(fg)3.394 E F0 .895
+(command to continue it in the fore)3.394 F .895(ground, or the)-.15 F
+F1(kill)3.395 E F0 .895(command to kill it.)3.395 F(A)5.895 E F1(^Z)
+3.395 E F0(tak)3.395 E(es)-.1 E(ef)108 331.2 Q .949(fect immediately)
+-.25 F 3.449(,a)-.65 G .948(nd has the additional side ef)-3.449 F .948
 (fect of causing pending output and typeahead to be dis-)-.25 F(carded.)
-108 343.2 Q 1.098(There are a number of w)108 360 R 1.097
+108 343.2 Q 1.097(There are a number of w)108 360 R 1.097
 (ays to refer to a job in the shell.)-.1 F 1.097(The character)6.097 F
-F1(%)3.597 E F0 1.097(introduces a job name.)3.597 F(Job)6.097 E(number)
+F1(%)3.597 E F0 1.098(introduces a job name.)3.597 F(Job)6.098 E(number)
 108 372 Q F2(n)3.13 E F0 .27(may be referred to as)3.01 F F1(%n)2.77 E
 F0 5.27(.A)C .27
 (job may also be referred to using a pre\214x of the name used to start)
 -2.5 F .277(it, or using a substring that appears in its command line.)
 108 384 R -.15(Fo)5.277 G 2.777(re).15 G(xample,)-2.927 E F1(%ce)2.777 E
-F0 .277(refers to a stopped)2.777 F F1(ce)2.777 E F0(job)2.777 E 5.277
-(.I)-.4 G 2.777(fa)-5.277 G .38(pre\214x matches more than one job,)108
+F0 .277(refers to a stopped)2.777 F F1(ce)2.777 E F0(job)2.778 E 5.278
+(.I)-.4 G 2.778(fa)-5.278 G .38(pre\214x matches more than one job,)108
 396 R F1(bash)2.88 E F0 .38(reports an error)2.88 F 5.38(.U)-.55 G(sing)
 -5.38 E F1(%?ce)2.88 E F0 2.88(,o)C 2.88(nt)-2.88 G .38
-(he other hand, refers to an)-2.88 F 2.88(yj)-.15 G(ob)-2.88 E .623
-(containing the string)108 408 R F1(ce)3.123 E F0 .622
-(in its command line.)3.123 F .622
-(If the substring matches more than one job,)5.622 F F1(bash)3.122 E F0
-.622(reports an)3.122 F(error)108 420 Q 5.143(.T)-.55 G .143(he symbols)
+(he other hand, refers to an)-2.88 F 2.88(yj)-.15 G(ob)-2.88 E .622
+(containing the string)108 408 R F1(ce)3.122 E F0 .622
+(in its command line.)3.122 F .622
+(If the substring matches more than one job,)5.622 F F1(bash)3.123 E F0
+.623(reports an)3.123 F(error)108 420 Q 5.143(.T)-.55 G .143(he symbols)
 -5.143 F F1(%%)2.643 E F0(and)2.643 E F1(%+)2.643 E F0 .143
 (refer to the shell')2.643 F 2.643(sn)-.55 G .143(otion of the)-2.643 F
 F2(curr)2.643 E .143(ent job)-.37 F F0 2.643(,w).23 G .143
-(hich is the last job stopped)-2.643 F 1.209(while it w)108 432 R 1.209
+(hich is the last job stopped)-2.643 F 1.208(while it w)108 432 R 1.208
 (as in the fore)-.1 F 1.208(ground or started in the background.)-.15 F
-(The)6.208 E F2(pr)4.958 E -.15(ev)-.37 G 1.208(ious job).15 F F0 1.208
-(may be referenced using)3.938 F F1<25ad>108 444 Q F0 5.486(.I)C 2.986
-(no)-5.486 G .486(utput pertaining to jobs \(e.g., the output of the)
--2.986 F F1(jobs)2.987 E F0 .487(command\), the current job is al)2.987
-F -.1(wa)-.1 G .487(ys \215agged).1 F .15(with a)108 456 R F1(+)2.65 E
+(The)6.208 E F2(pr)4.958 E -.15(ev)-.37 G 1.208(ious job).15 F F0 1.209
+(may be referenced using)3.939 F F1<25ad>108 444 Q F0 5.487(.I)C 2.987
+(no)-5.487 G .487(utput pertaining to jobs \(e.g., the output of the)
+-2.987 F F1(jobs)2.987 E F0 .486(command\), the current job is al)2.987
+F -.1(wa)-.1 G .486(ys \215agged).1 F .15(with a)108 456 R F1(+)2.65 E
 F0 2.65(,a)C .15(nd the pre)-2.65 F .15(vious job with a)-.25 F F1<ad>
 2.65 E F0 5.15(.A)C .15(single % \(with no accompan)-2.5 F .15
 (ying job speci\214cation\) also refers to)-.15 F(the current job)108
-468 Q(.)-.4 E .443
+468 Q(.)-.4 E .444
 (Simply naming a job can be used to bring it into the fore)108 484.8 R
-(ground:)-.15 E F1(%1)2.944 E F0 .444(is a synon)2.944 F .444(ym for)
--.15 F F1 -.63(``)2.944 G .444(fg %1').63 F(')-.63 E F0 2.944(,b)C
-(ringing)-2.944 E 1.473(job 1 from the background into the fore)108
-496.8 R 3.973(ground. Similarly)-.15 F(,)-.65 E F1 -.63(``)3.972 G 1.472
-(%1 &').63 F(')-.63 E F0 1.472(resumes job 1 in the background,)3.972 F
+(ground:)-.15 E F1(%1)2.943 E F0 .443(is a synon)2.943 F .443(ym for)
+-.15 F F1 -.63(``)2.943 G .443(fg %1').63 F(')-.63 E F0 2.943(,b)C
+(ringing)-2.943 E 1.472(job 1 from the background into the fore)108
+496.8 R 3.972(ground. Similarly)-.15 F(,)-.65 E F1 -.63(``)3.973 G 1.473
+(%1 &').63 F(')-.63 E F0 1.473(resumes job 1 in the background,)3.973 F
 (equi)108 508.8 Q -.25(va)-.25 G(lent to).25 E F1 -.63(``)2.5 G(bg %1')
-.63 E(')-.63 E F0(.)A .13(The shell learns immediately whene)108 525.6 R
--.15(ve)-.25 G 2.63(raj).15 G .13(ob changes state.)-2.63 F(Normally)
-5.131 E(,)-.65 E F1(bash)2.631 E F0 -.1(wa)2.631 G .131
-(its until it is about to print a).1 F .158
-(prompt before reporting changes in a job')108 537.6 R 2.658(ss)-.55 G
-.158(tatus so as to not interrupt an)-2.658 F 2.657(yo)-.15 G .157
-(ther output.)-2.657 F .157(If the)5.157 F F1<ad62>2.657 E F0 .157
-(option to)2.657 F(the)108 549.6 Q F1(set)3.951 E F0 -.2(bu)3.951 G
-1.451(iltin command is enabled,).2 F F1(bash)3.951 E F0 1.452
-(reports such changes immediately)3.951 F 6.452(.A)-.65 G 1.752 -.15
-(ny t)-6.452 H 1.452(rap on).15 F F3(SIGCHLD)3.952 E F0(is)3.702 E -.15
-(exe)108 561.6 S(cuted for each child that e).15 E(xits.)-.15 E .033
-(If an attempt to e)108 578.4 R(xit)-.15 E F1(bash)2.533 E F0 .033
-(is made while jobs are stopped \(or)2.533 F 2.532(,i)-.4 G 2.532(ft)
--2.532 G(he)-2.532 E F1(checkjobs)2.532 E F0 .032
-(shell option has been enabled)2.532 F 2.019(using the)108 590.4 R F1
-(shopt)4.519 E F0 -.2(bu)4.519 G 2.019
-(iltin, running\), the shell prints a w).2 F 2.02
-(arning message, and, if the)-.1 F F1(checkjobs)4.52 E F0 2.02
-(option is)4.52 F .459(enabled, lists the jobs and their statuses.)108
-602.4 R(The)5.459 E F1(jobs)2.959 E F0 .458
-(command may then be used to inspect their status.)2.958 F .458(If a)
-5.458 F .603(second attempt to e)108 614.4 R .604
+.63 E(')-.63 E F0(.)A .131(The shell learns immediately whene)108 525.6
+R -.15(ve)-.25 G 2.631(raj).15 G .131(ob changes state.)-2.631 F
+(Normally)5.131 E(,)-.65 E F1(bash)2.631 E F0 -.1(wa)2.63 G .13
+(its until it is about to print a).1 F .157
+(prompt before reporting changes in a job')108 537.6 R 2.657(ss)-.55 G
+.157(tatus so as to not interrupt an)-2.657 F 2.658(yo)-.15 G .158
+(ther output.)-2.658 F .158(If the)5.158 F F1<ad62>2.658 E F0 .158
+(option to)2.658 F(the)108 549.6 Q F1(set)3.952 E F0 -.2(bu)3.952 G
+1.452(iltin command is enabled,).2 F F1(bash)3.952 E F0 1.451
+(reports such changes immediately)3.952 F 6.451(.A)-.65 G 1.751 -.15
+(ny t)-6.451 H 1.451(rap on).15 F F3(SIGCHLD)3.951 E F0(is)3.701 E -.15
+(exe)108 561.6 S(cuted for each child that e).15 E(xits.)-.15 E .032
+(If an attempt to e)108 578.4 R(xit)-.15 E F1(bash)2.532 E F0 .032
+(is made while jobs are stopped \(or)2.532 F 2.533(,i)-.4 G 2.533(ft)
+-2.533 G(he)-2.533 E F1(checkjobs)2.533 E F0 .033
+(shell option has been enabled)2.533 F 2.02(using the)108 590.4 R F1
+(shopt)4.52 E F0 -.2(bu)4.52 G 2.02
+(iltin, running\), the shell prints a w).2 F 2.019
+(arning message, and, if the)-.1 F F1(checkjobs)4.519 E F0 2.019
+(option is)4.519 F .458(enabled, lists the jobs and their statuses.)108
+602.4 R(The)5.458 E F1(jobs)2.958 E F0 .459
+(command may then be used to inspect their status.)2.958 F .459(If a)
+5.459 F .604(second attempt to e)108 614.4 R .604
 (xit is made without an interv)-.15 F .604
 (ening command, the shell does not print another w)-.15 F(arning,)-.1 E
 (and an)108 626.4 Q 2.5(ys)-.15 G(topped jobs are terminated.)-2.5 E/F5
-10.95/Times-Bold@0 SF(PR)72 643.2 Q(OMPTING)-.329 E F0 .645(When e)108
-655.2 R -.15(xe)-.15 G .645(cuting interacti).15 F -.15(ve)-.25 G(ly).15
-E(,)-.65 E F1(bash)3.145 E F0 .645(displays the primary prompt)3.145 F
-F3(PS1)3.145 E F0 .645(when it is ready to read a command,)2.895 F 1.825
-(and the secondary prompt)108 667.2 R F3(PS2)4.325 E F0 1.825
-(when it needs more input to complete a command.)4.075 F F1(Bash)6.826 E
-F0(allo)4.326 E 1.826(ws these)-.25 F 1.499(prompt strings to be custom\
+10.95/Times-Bold@0 SF(PR)72 643.2 Q(OMPTING)-.329 E F0 .644(When e)108
+655.2 R -.15(xe)-.15 G .644(cuting interacti).15 F -.15(ve)-.25 G(ly).15
+E(,)-.65 E F1(bash)3.144 E F0 .645(displays the primary prompt)3.145 F
+F3(PS1)3.145 E F0 .645(when it is ready to read a command,)2.895 F 1.826
+(and the secondary prompt)108 667.2 R F3(PS2)4.326 E F0 1.825
+(when it needs more input to complete a command.)4.076 F F1(Bash)6.825 E
+F0(allo)4.325 E 1.825(ws these)-.25 F 1.499(prompt strings to be custom\
 ized by inserting a number of backslash-escaped special characters that\
  are)108 679.2 R(decoded as follo)108 691.2 Q(ws:)-.25 E F1(\\a)144
 703.2 Q F0(an ASCII bell character \(07\))28.22 E F1(\\d)144 715.2 Q F0
 (the date in "W)27.66 E(eekday Month Date" format \(e.g., "T)-.8 E
-(ue May 26"\))-.45 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E
-(30)185.955 E 0 Cg EP
+(ue May 26"\))-.45 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(30)
+190.95 E 0 Cg EP
 %%Page: 31 31
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(\\D{)144 84 Q/F2 10/Times-Italic@0 SF
-(format)A F1(})A F0(the)180 96 Q F2(format)3.926 E F0 1.426
-(is passed to)3.926 F F2(strftime)3.926 E F0 1.427
+(format)A F1(})A F0(the)180 96 Q F2(format)3.927 E F0 1.427
+(is passed to)3.927 F F2(strftime)3.927 E F0 1.427
 (\(3\) and the result is inserted into the prompt string; an)B(empty)180
 108 Q F2(format)2.5 E F0
 (results in a locale-speci\214c time representation.)2.5 E
@@ -3801,77 +3802,77 @@ F1(\\\\)144 372 Q F0 2.5(ab)30.44 G(ackslash)-2.5 E F1(\\[)144 384 Q F0
 (be)29.89 E 1.257(gin a sequence of non-printing characters, which coul\
 d be used to embed a terminal)-.15 F(control sequence into the prompt)
 180 396 Q F1(\\])144 408 Q F0(end a sequence of non-printing characters)
-29.89 E .119(The command number and the history number are usually dif)
-108 424.8 R .12(ferent: the history number of a command is its)-.25 F
+29.89 E .12(The command number and the history number are usually dif)
+108 424.8 R .119(ferent: the history number of a command is its)-.25 F
 1.585(position in the history list, which may include commands restored\
  from the history \214le \(see)108 436.8 R/F3 9/Times-Bold@0 SF(HIST)
-4.084 E(OR)-.162 E(Y)-.315 E F0(belo)108 448.8 Q .541(w\), while the co\
+4.085 E(OR)-.162 E(Y)-.315 E F0(belo)108 448.8 Q .541(w\), while the co\
 mmand number is the position in the sequence of commands e)-.25 F -.15
-(xe)-.15 G .541(cuted during the cur).15 F(-)-.2 E .546
+(xe)-.15 G .54(cuted during the cur).15 F(-)-.2 E .546
 (rent shell session.)108 460.8 R .546
 (After the string is decoded, it is e)5.546 F .546
 (xpanded via parameter e)-.15 F .546(xpansion, command substitu-)-.15 F
-.351(tion, arithmetic e)108 472.8 R .352(xpansion, and quote remo)-.15 F
+.352(tion, arithmetic e)108 472.8 R .352(xpansion, and quote remo)-.15 F
 -.25(va)-.15 G .352(l, subject to the v).25 F .352(alue of the)-.25 F F1
-(pr)2.852 E(omptv)-.18 E(ars)-.1 E F0 .352(shell option \(see the)2.852
+(pr)2.852 E(omptv)-.18 E(ars)-.1 E F0 .351(shell option \(see the)2.852
 F(description of the)108 484.8 Q F1(shopt)2.5 E F0(command under)2.5 E
 F3(SHELL B)2.5 E(UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)
--.25 E/F4 10.95/Times-Bold@0 SF(READLINE)72 501.6 Q F0 .151
+-.25 E/F4 10.95/Times-Bold@0 SF(READLINE)72 501.6 Q F0 .15
 (This is the library that handles reading input when using an interacti)
-108 513.6 R .45 -.15(ve s)-.25 H .15(hell, unless the).15 F F1
-(\255\255noediting)2.65 E F0(option)2.65 E .066(is gi)108 525.6 R -.15
-(ve)-.25 G 2.566(na).15 G 2.566(ts)-2.566 G .066(hell in)-2.566 F -.2
+108 513.6 R .451 -.15(ve s)-.25 H .151(hell, unless the).15 F F1
+(\255\255noediting)2.651 E F0(option)2.651 E .067(is gi)108 525.6 R -.15
+(ve)-.25 G 2.567(na).15 G 2.566(ts)-2.567 G .066(hell in)-2.566 F -.2
 (vo)-.4 G 2.566(cation. By).2 F(def)2.566 E .066
 (ault, the line editing commands are similar to those of emacs.)-.1 F
-2.567(Av)5.067 G(i-style)-2.567 E .566(line editing interf)108 537.6 R
-.566(ace is also a)-.1 F -.25(va)-.2 G 3.065(ilable. T).25 F 3.065(ot)
+2.566(Av)5.066 G(i-style)-2.566 E .565(line editing interf)108 537.6 R
+.565(ace is also a)-.1 F -.25(va)-.2 G 3.065(ilable. T).25 F 3.065(ot)
 -.8 G .565(urn of)-3.065 F 3.065(fl)-.25 G .565
-(ine editing after the shell is running, use the)-3.065 F F1 .565
-(+o emacs)3.065 F F0(or)108 549.6 Q F1(+o vi)2.5 E F0(options to the)2.5
+(ine editing after the shell is running, use the)-3.065 F F1 .566
+(+o emacs)3.066 F F0(or)108 549.6 Q F1(+o vi)2.5 E F0(options to the)2.5
 E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin \(see).2 E F3(SHELL B)2.5 E(UIL)
 -.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25 E F1
-(Readline Notation)87 566.4 Q F0 .567
+(Readline Notation)87 566.4 Q F0 .568
 (In this section, the emacs-style notation is used to denote k)108 578.4
-R -.15(ey)-.1 G(strok).15 E 3.068(es. Control)-.1 F -.1(ke)3.068 G .568
-(ys are denoted by C\255)-.05 F F2 -.1(ke)C(y)-.2 E F0(,)A 1.153
-(e.g., C\255n means Control\255N.)108 590.4 R(Similarly)6.153 E(,)-.65 E
-F2(meta)4.033 E F0 -.1(ke)3.913 G 1.153(ys are denoted by M\255)-.05 F
-F2 -.1(ke)C(y)-.2 E F0 3.652(,s)C 3.652(oM)-3.652 G 1.152
-(\255x means Meta\255X.)-3.652 F(\(On)6.152 E -.1(ke)108 602.4 S .83
-(yboards without a)-.05 F F2(meta)3.71 E F0 -.1(ke)3.59 G 2.13 -.65
-(y, M)-.05 H<ad>.65 E F2(x)A F0 .83(means ESC)3.33 F F2(x)3.33 E F0 3.33
-(,i)C .831(.e., press the Escape k)-3.33 F 1.131 -.15(ey t)-.1 H .831
-(hen the).15 F F2(x)4.101 E F0 -.1(ke)3.861 G 4.631 -.65(y. T)-.05 H
-.831(his mak).65 F(es)-.1 E .6(ESC the)108 614.4 R F2 .6(meta pr)3.1 F
-(e\214x)-.37 E F0 5.6(.T)C .6(he combination M\255C\255)-5.6 F F2(x)A F0
-.599(means ESC\255Control\255)3.099 F F2(x)A F0 3.099(,o)C 3.099(rp)
--3.099 G .599(ress the Escape k)-3.099 F .899 -.15(ey t)-.1 H .599
+R -.15(ey)-.1 G(strok).15 E 3.067(es. Control)-.1 F -.1(ke)3.067 G .567
+(ys are denoted by C\255)-.05 F F2 -.1(ke)C(y)-.2 E F0(,)A 1.152
+(e.g., C\255n means Control\255N.)108 590.4 R(Similarly)6.152 E(,)-.65 E
+F2(meta)4.032 E F0 -.1(ke)3.913 G 1.153(ys are denoted by M\255)-.05 F
+F2 -.1(ke)C(y)-.2 E F0 3.653(,s)C 3.653(oM)-3.653 G 1.153
+(\255x means Meta\255X.)-3.653 F(\(On)6.153 E -.1(ke)108 602.4 S .831
+(yboards without a)-.05 F F2(meta)3.711 E F0 -.1(ke)3.591 G 2.131 -.65
+(y, M)-.05 H<ad>.65 E F2(x)A F0 .831(means ESC)3.331 F F2(x)3.331 E F0
+3.331(,i)C .83(.e., press the Escape k)-3.331 F 1.13 -.15(ey t)-.1 H .83
+(hen the).15 F F2(x)4.1 E F0 -.1(ke)3.86 G 4.63 -.65(y. T)-.05 H .83
+(his mak).65 F(es)-.1 E .599(ESC the)108 614.4 R F2 .599(meta pr)3.099 F
+(e\214x)-.37 E F0 5.599(.T)C .599(he combination M\255C\255)-5.599 F F2
+(x)A F0 .599(means ESC\255Control\255)3.099 F F2(x)A F0 3.099(,o)C 3.099
+(rp)-3.099 G .6(ress the Escape k)-3.099 F .9 -.15(ey t)-.1 H .6
 (hen hold).15 F(the Control k)108 626.4 Q .3 -.15(ey w)-.1 H
 (hile pressing the).15 E F2(x)3.27 E F0 -.1(ke)3.03 G -.65(y.)-.05 G(\))
-.65 E .619(Readline commands may be gi)108 643.2 R -.15(ve)-.25 G 3.119
+.65 E .62(Readline commands may be gi)108 643.2 R -.15(ve)-.25 G 3.119
 (nn).15 G(umeric)-3.119 E F2(ar)3.119 E(guments)-.37 E F0 3.119(,w).27 G
-.619(hich normally act as a repeat count.)-3.119 F(Sometimes,)5.62 E(ho)
-108 655.2 Q(we)-.25 E -.15(ve)-.25 G 1.419 -.4(r, i).15 H 3.119(ti).4 G
-3.119(st)-3.119 G .619(he sign of the ar)-3.119 F .619
+.619(hich normally act as a repeat count.)-3.119 F(Sometimes,)5.619 E
+(ho)108 655.2 Q(we)-.25 E -.15(ve)-.25 G 1.418 -.4(r, i).15 H 3.118(ti)
+.4 G 3.119(st)-3.118 G .619(he sign of the ar)-3.119 F .619
 (gument that is signi\214cant.)-.18 F -.15(Pa)5.619 G .619(ssing a ne)
 .15 F -.05(ga)-.15 G(ti).05 E .919 -.15(ve a)-.25 H -.18(rg).15 G .619
-(ument to a command that).18 F 1.018(acts in the forw)108 667.2 R 1.018
+(ument to a command that).18 F 1.019(acts in the forw)108 667.2 R 1.018
 (ard direction \(e.g.,)-.1 F F1(kill\255line)3.518 E F0 3.518(\)c)C
-1.018(auses that command to act in a backw)-3.518 F 1.019
-(ard direction.)-.1 F(Com-)6.019 E(mands whose beha)108 679.2 Q
+1.018(auses that command to act in a backw)-3.518 F 1.018
+(ard direction.)-.1 F(Com-)6.018 E(mands whose beha)108 679.2 Q
 (vior with ar)-.2 E(guments de)-.18 E(viates from this are noted belo)
--.25 E -.65(w.)-.25 G .812(When a command is described as)108 696 R F2
+-.25 E -.65(w.)-.25 G .811(When a command is described as)108 696 R F2
 (killing)3.311 E F0(te)3.311 E .811(xt, the te)-.15 F .811
-(xt deleted is sa)-.15 F -.15(ve)-.2 G 3.311(df).15 G .811
-(or possible future retrie)-3.311 F -.25(va)-.25 G 3.311(l\().25 G F2
-(yank-)-3.311 E(ing)108 708 Q F0 2.529(\). The)B .029(killed te)2.529 F
+(xt deleted is sa)-.15 F -.15(ve)-.2 G 3.311(df).15 G .812
+(or possible future retrie)-3.311 F -.25(va)-.25 G 3.312(l\().25 G F2
+(yank-)-3.312 E(ing)108 708 Q F0 2.529(\). The)B .029(killed te)2.529 F
 .029(xt is sa)-.15 F -.15(ve)-.2 G 2.529(di).15 G 2.529(na)-2.529 G F2
 .029(kill ring)B F0 5.029(.C)C(onsecuti)-5.029 E .329 -.15(ve k)-.25 H
 .029(ills cause the te).15 F .029(xt to be accumulated into one unit,)
 -.15 F .567(which can be yank)108 720 R .567(ed all at once.)-.1 F .567
 (Commands which do not kill te)5.567 F .567
 (xt separate the chunks of te)-.15 F .567(xt on the kill)-.15 F
-(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(31)185.955 E 0 Cg EP
+(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(31)190.95 E 0 Cg EP
 %%Page: 32 32
 %%BeginPageSetup
 BP
@@ -3880,23 +3881,23 @@ BP
 -.35 E(ring.)108 84 Q/F1 10/Times-Bold@0 SF(Readline Initialization)87
 100.8 Q F0 .091(Readline is customized by putting commands in an initia\
 lization \214le \(the)108 112.8 R/F2 10/Times-Italic@0 SF(inputr)2.591 E
-(c)-.37 E F0 2.591(\214le\). The)2.591 F .092(name of this \214le)2.591
-F .197(is tak)108 124.8 R .196(en from the v)-.1 F .196(alue of the)-.25
+(c)-.37 E F0 2.591(\214le\). The)2.591 F .091(name of this \214le)2.591
+F .196(is tak)108 124.8 R .196(en from the v)-.1 F .196(alue of the)-.25
 F/F3 9/Times-Bold@0 SF(INPUTRC)2.696 E F0 -.25(va)2.446 G 2.696
 (riable. If).25 F .196(that v)2.696 F .196(ariable is unset, the def)
 -.25 F .196(ault is)-.1 F F2(~/.inputr)2.696 E(c)-.37 E F0 5.196(.W).31
-G .196(hen a)-5.196 F 1.034(program which uses the readline library sta\
-rts up, the initialization \214le is read, and the k)108 136.8 R 1.335
--.15(ey b)-.1 H 1.035(indings and).15 F -.25(va)108 148.8 S 1.15
-(riables are set.).25 F 1.15(There are only a fe)6.15 F 3.649(wb)-.25 G
-1.149(asic constructs allo)-3.649 F 1.149
-(wed in the readline initialization \214le.)-.25 F(Blank)6.149 E .736
+G .197(hen a)-5.196 F 1.034(program which uses the readline library sta\
+rts up, the initialization \214le is read, and the k)108 136.8 R 1.334
+-.15(ey b)-.1 H 1.034(indings and).15 F -.25(va)108 148.8 S 1.149
+(riables are set.).25 F 1.149(There are only a fe)6.149 F 3.649(wb)-.25
+G 1.149(asic constructs allo)-3.649 F 1.15
+(wed in the readline initialization \214le.)-.25 F(Blank)6.15 E .737
 (lines are ignored.)108 160.8 R .737(Lines be)5.737 F .737
 (ginning with a)-.15 F F1(#)3.237 E F0 .737(are comments.)3.237 F .737
-(Lines be)5.737 F .737(ginning with a)-.15 F F1($)3.237 E F0 .737
-(indicate conditional)3.237 F 2.5(constructs. Other)108 172.8 R
+(Lines be)5.737 F .737(ginning with a)-.15 F F1($)3.237 E F0 .736
+(indicate conditional)3.236 F 2.5(constructs. Other)108 172.8 R
 (lines denote k)2.5 E .3 -.15(ey b)-.1 H(indings and v).15 E
-(ariable settings.)-.25 E .987(The def)108 189.6 R .987(ault k)-.1 F
+(ariable settings.)-.25 E .986(The def)108 189.6 R .986(ault k)-.1 F
 -.15(ey)-.1 G .987(-bindings may be changed with an).15 F F2(inputr)
 3.497 E(c)-.37 E F0 3.487(\214le. Other)3.797 F .987
 (programs that use this library may)3.487 F(add their o)108 201.6 Q
@@ -3906,11 +3907,11 @@ G(rsal\255ar).15 E(gument)-.18 E(or)108 247.2 Q(C\255Meta\255u: uni)144
 259.2 Q -.15(ve)-.25 G(rsal\255ar).15 E(gument)-.18 E(into the)108 271.2
 Q F2(inputr)2.51 E(c)-.37 E F0 -.1(wo)2.81 G(uld mak).1 E 2.5(eM)-.1 G
 (\255C\255u e)-2.5 E -.15(xe)-.15 G(cute the readline command).15 E F2
-(univer)2.5 E(sal\255ar)-.1 E(gument)-.37 E F0(.).68 E 1.26(The follo)
+(univer)2.5 E(sal\255ar)-.1 E(gument)-.37 E F0(.).68 E 1.261(The follo)
 108 288 R 1.261(wing symbolic character names are recognized:)-.25 F F2
 -.4(RU)3.761 G(BOUT).4 E F0(,)1.27 E F2(DEL)3.761 E F0(,).53 E F2(ESC)
-3.761 E F0(,).72 E F2(LFD)3.761 E F0(,).28 E F2(NEWLINE)3.761 E F0(,).73
-E F2(RET)3.761 E F0(,)1.27 E F2(RETURN)108 300 Q F0(,)1.1 E F2(SPC)2.5 E
+3.761 E F0(,).72 E F2(LFD)3.761 E F0(,).28 E F2(NEWLINE)3.76 E F0(,).73
+E F2(RET)3.76 E F0(,)1.27 E F2(RETURN)108 300 Q F0(,)1.1 E F2(SPC)2.5 E
 F0(,).72 E F2(SP)2.5 E -.3(AC)-.9 G(E).3 E F0 2.5(,a).73 G(nd)-2.5 E F2
 -.5(TA)2.5 G(B).5 E F0(.).27 E .209
 (In addition to command names, readline allo)108 316.8 R .209(ws k)-.25
@@ -3921,47 +3922,47 @@ F -.15(ey)-.1 G 2.709(st).15 G 2.709(ob)-2.709 G 2.709(eb)-2.709 G .209
 (The syntax for controlling k)108 357.6 R .666 -.15(ey b)-.1 H .366
 (indings in the).15 F F2(inputr)2.876 E(c)-.37 E F0 .366
 (\214le is simple.)3.176 F .366(All that is required is the name of the)
-5.366 F .383(command or the te)108 369.6 R .383(xt of a macro and a k)
+5.366 F .382(command or the te)108 369.6 R .383(xt of a macro and a k)
 -.15 F .683 -.15(ey s)-.1 H .383
 (equence to which it should be bound. The name may be speci-).15 F .853
 (\214ed in one of tw)108 381.6 R 3.353(ow)-.1 G .853
 (ays: as a symbolic k)-3.453 F 1.153 -.15(ey n)-.1 H .853
 (ame, possibly with).15 F F2(Meta\255)3.353 E F0(or)3.353 E F2(Contr)
 3.353 E(ol\255)-.45 E F0(pre\214x)3.353 E .853(es, or as a k)-.15 F -.15
-(ey)-.1 G(sequence.)108 393.6 Q 1.542(When using the form)108 410.4 R F1
--.1(ke)4.042 G(yname).1 E F0(:)A F2(function\255name).833 E F0(or)4.042
+(ey)-.1 G(sequence.)108 393.6 Q 1.541(When using the form)108 410.4 R F1
+-.1(ke)4.041 G(yname).1 E F0(:)A F2(function\255name).833 E F0(or)4.041
 E F2(macr)4.042 E(o)-.45 E F0(,)A F2 -.1(ke)4.042 G(yname)-.2 E F0 1.542
-(is the name of a k)4.222 F 1.841 -.15(ey s)-.1 H 1.541(pelled out in)
+(is the name of a k)4.222 F 1.842 -.15(ey s)-.1 H 1.542(pelled out in)
 .15 F 2.5(English. F)108 422.4 R(or e)-.15 E(xample:)-.15 E
 (Control-u: uni)144 446.4 Q -.15(ve)-.25 G(rsal\255ar).15 E(gument)-.18
 E(Meta-Rubout: backw)144 458.4 Q(ard-kill-w)-.1 E(ord)-.1 E
-(Control-o: "> output")144 470.4 Q .698(In the abo)108 487.2 R .998 -.15
+(Control-o: "> output")144 470.4 Q .699(In the abo)108 487.2 R .998 -.15
 (ve ex)-.15 H(ample,).15 E F2(C\255u)3.038 E F0 .698
 (is bound to the function)3.448 F F1(uni)3.198 E -.1(ve)-.1 G
 (rsal\255ar).1 E(gument)-.1 E F0(,)A F2(M\255DEL)3.878 E F0 .698
 (is bound to the func-)3.728 F(tion)108 499.2 Q F1
-(backward\255kill\255w)2.759 E(ord)-.1 E F0 2.759(,a)C(nd)-2.759 E F2
-(C\255o)2.599 E F0 .258(is bound to run the macro e)2.939 F .258
+(backward\255kill\255w)2.758 E(ord)-.1 E F0 2.758(,a)C(nd)-2.758 E F2
+(C\255o)2.598 E F0 .258(is bound to run the macro e)2.938 F .259
 (xpressed on the right hand side \(that is, to)-.15 F(insert the te)108
 511.2 Q(xt)-.15 E/F4 10/Courier@0 SF 6(>o)2.5 G(utput)-6 E F0
-(into the line\).)2.5 E .055(In the second form,)108 528 R F1("k)2.555 E
-(eyseq")-.1 E F0(:)A F2(function\255name).833 E F0(or)2.555 E F2(macr)
-2.555 E(o)-.45 E F0(,)A F1 -.1(ke)2.555 G(yseq).1 E F0(dif)2.556 E .056
-(fers from)-.25 F F1 -.1(ke)2.556 G(yname).1 E F0(abo)2.556 E .356 -.15
-(ve i)-.15 H 2.556(nt).15 G .056(hat strings)-2.556 F 1.284
+(into the line\).)2.5 E .056(In the second form,)108 528 R F1("k)2.556 E
+(eyseq")-.1 E F0(:)A F2(function\255name).833 E F0(or)2.556 E F2(macr)
+2.556 E(o)-.45 E F0(,)A F1 -.1(ke)2.556 G(yseq).1 E F0(dif)2.555 E .055
+(fers from)-.25 F F1 -.1(ke)2.555 G(yname).1 E F0(abo)2.555 E .355 -.15
+(ve i)-.15 H 2.555(nt).15 G .055(hat strings)-2.555 F 1.284
 (denoting an entire k)108 540 R 1.584 -.15(ey s)-.1 H 1.284(equence may\
  be speci\214ed by placing the sequence within double quotes.).15 F
-(Some)6.284 E .385(GNU Emacs style k)108 552 R .685 -.15(ey e)-.1 H .385
-(scapes can be used, as in the follo).15 F .385(wing e)-.25 F .386
-(xample, b)-.15 F .386(ut the symbolic character names)-.2 F
+(Some)6.284 E .386(GNU Emacs style k)108 552 R .686 -.15(ey e)-.1 H .385
+(scapes can be used, as in the follo).15 F .385(wing e)-.25 F .385
+(xample, b)-.15 F .385(ut the symbolic character names)-.2 F
 (are not recognized.)108 564 Q("\\C\255u": uni)144 588 Q -.15(ve)-.25 G
 (rsal\255ar).15 E(gument)-.18 E
 ("\\C\255x\\C\255r": re\255read\255init\255\214le)144 600 Q
-("\\e[11~": "Function K)144 612 Q .3 -.15(ey 1)-.25 H(").15 E .315
-(In this e)108 628.8 R(xample,)-.15 E F2(C\255u)2.655 E F0 .315(is ag)
-3.065 F .315(ain bound to the function)-.05 F F1(uni)2.815 E -.1(ve)-.1
+("\\e[11~": "Function K)144 612 Q .3 -.15(ey 1)-.25 H(").15 E .314
+(In this e)108 628.8 R(xample,)-.15 E F2(C\255u)2.654 E F0 .314(is ag)
+3.064 F .315(ain bound to the function)-.05 F F1(uni)2.815 E -.1(ve)-.1
 G(rsal\255ar).1 E(gument)-.1 E F0(.)A F2 .315(C\255x C\255r)5.155 F F0
-.314(is bound to the func-)3.544 F(tion)108 640.8 Q F1 -.18(re)2.5 G
+.315(is bound to the func-)3.545 F(tion)108 640.8 Q F1 -.18(re)2.5 G
 <ad72>.18 E(ead\255init\255\214le)-.18 E F0 2.5(,a)C(nd)-2.5 E F2
 (ESC [ 1 1 ~)3.01 E F0(is bound to insert the te)3.94 E(xt)-.15 E F4
 (Function Key 1)2.5 E F0(.)A
@@ -3969,8 +3970,8 @@ G(rsal\255ar).1 E(gument)-.1 E F0(.)A F2 .315(C\255x C\255r)5.155 F F0
 <5c43ad>144 669.6 Q F0(control pre\214x)20.3 E F1<5c4dad>144 681.6 Q F0
 (meta pre\214x)18.08 E F1(\\e)144 693.6 Q F0(an escape character)28.78 E
 F1(\\\\)144 705.6 Q F0(backslash)30.44 E F1(\\")144 717.6 Q F0
-(literal ")27.67 E(GNU Bash-3.2)72 768 Q(2006 December 26)135.965 E(32)
-185.955 E 0 Cg EP
+(literal ")27.67 E(GNU Bash-3.2)72 768 Q(2007 January 12)140.96 E(32)
+190.95 E 0 Cg EP
 %%Page: 33 33
 %%BeginPageSetup
 BP
